﻿<%@ Assembly Name="Microsoft.SharePoint.ApplicationPages, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c"%> 
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %> 
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="RH.PictureLibraryExif, Version=1.0.0.0, Culture=neutral, PublicKeyToken=04f2cc173fa3cc5e" %> 
<%@ Page Language="C#" Inherits="RH.PictureLibraryExif.RHPictureLibraryExifSettingsPage" MasterPageFile="~/_layouts/application.master"%>
<%@ Register Tagprefix="wssawc" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" src="~/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" src="~/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ButtonSection" src="~/_controltemplates/ButtonSection.ascx" %>
<asp:Content ID="Content1" contentplaceholderid="PlaceHolderPageTitle" runat="server">Picture Library Exif</asp:Content>
<asp:Content ID="Content2" contentplaceholderid="PlaceHolderPageTitleInTitleArea" runat="server">
Picture Library Exif:
<a id=onetidListHlink HREF=<% SPHttpUtility.AddQuote(SPHttpUtility.UrlPathEncode(List.DefaultViewUrl,true),Response.Output);%>><%SPHttpUtility.HtmlEncode(List.Title,Response.Output);%></a>
</asp:Content>
<asp:Content ID="Content3" contentplaceholderid="PlaceHolderPageDescription" runat="server"></asp:Content>
<asp:Content ID="Content4" contentplaceholderid="PlaceHolderAdditionalPageHead" runat="server"></asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="PlaceHolderMain" runat="server">
<table><tr><td class="ms-error"><asp:Label ID="LabelErrorMessage" Runat="server" EnableViewState="False" /></td></tr></table>
<TABLE border="0" width="100%" cellspacing="0" cellpadding="0" class="ms-descriptiontext">
<wssuc:InputFormSection runat="server" id="useExif" Title="use Exif data">
	<Template_Description>
		<SharePoint:EncodedLiteral runat="server" text="" EncodeMethod='HtmlEncode'/>
		<SharePoint:FormattedStringWithListType runat="server" String="If the picture you are about to upload contains Exif information, it will be used for the creation date" />
	</Template_Description>
   <Template_InputFormControls>
		<wssuc:InputFormControl runat="server">
			 <Template_Control>
				<asp:CheckBox ID="UseExifData" Runat="server" Text="use Exif data for 'Date Picture Taken'" />
				<asp:Label><br/>The 'Date Picture Taken' value will only show up in the dialog after the picture was uploaded, if loading the editform takes longer than the handler needs to update the date. It is saved in every case. Just not showing up sometimes.</asp:Label>
			 </Template_Control>
		</wssuc:InputFormControl>
    </Template_InputFormControls>
</wssuc:InputFormSection>
<wssuc:InputFormSection runat="server" id="updates" Title="latest version">
	<Template_Description>
		<SharePoint:EncodedLiteral runat="server" text="" EncodeMethod='HtmlEncode'/>
		<SharePoint:FormattedStringWithListType runat="server" String="Click 'Latest Version' to check for updates which you can find on http://www.hezser.de/blog" />
	</Template_Description>
   <Template_InputFormControls>
		<wssuc:InputFormControl runat="server">
			 <Template_Control>
				<asp:Label ID="CurrentVersion" Runat="server" Text="" />
				<asp:Label ID="LatestVersion" Runat="server" Text="" />
			 </Template_Control>
		</wssuc:InputFormControl>
    </Template_InputFormControls>
</wssuc:InputFormSection>
<wssuc:ButtonSection runat="server">
	<Template_Buttons>
	    <asp:Button ID="CheckLatestVersion" Runat="server" class="ms-ButtonHeightWidth" OnClick="CheckLatestVersion_Click" Text="Latest Version" />
		<asp:Button UseSubmitBehavior="false" runat="server" class="ms-ButtonHeightWidth" OnClick="BtnSave_Click" Text="<%$Resources:wss,multipages_savebutton_text%>" id="BtnSave" accesskey="<%$Resources:wss,multipages_savebutton_accesskey%>"/>
	</Template_Buttons>
</wssuc:ButtonSection>
</TABLE>
</asp:Content>
